Lista snabdevača

GET /api/v1/energies

Vraća hijerarhiju snabdevača.

Parametri upita

page integer

Broj stranice.

Polja odgovora

AtributOpis
idIdentifikator (jedinstveni ključ) snabdevača u sistemu
nameNaziv snabdevača
childrenNiz ogranaka i/ili odeljenja
dataNiz vraćenih podataka
total_pagesUkupan broj stranica u vraćenom skupu
current_pageTrenutna stranica
next_pageSledeća stranica dostupna za preuzimanje; null ako je trenutna stranica poslednja

Zahtev

bash
curl -i \
  --header "access-token: *********************" \
  --header "token-type: Bearer" \
  --header "client: **********************" \
  --header "uid: api-user@example.com" \
  --header "Content-Type: application/json" \
  --request GET \
  "https://api.vadsro.eu/api/v1/energies?page=1"

Odgovor

json
{"data":[
  {
    "id": 1,
    "name": "Example Gas Distribution",
    "children": [
      { "id": 2, "name": "Example Gas Distribution North", "children": [] },
      { "id": 3, "name": "Example Gas Distribution South", "children": [] }
    ]
  },
  ...
  ],
  "total_pages": 8,
  "current_page": 1,
  "next_page": 2
}
Poslednje ažuriranje

Da li vam je ova stranica bila korisna?